> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List projects

> Retrieve a list of accessible projects.



## OpenAPI

````yaml openapi.yaml GET /projects
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
    description: Default environment for APIs
  - url: https://api-inference.together.ai/v2
    description: Optimized environment for inference
security:
  - bearerAuth: []
paths:
  /projects:
    get:
      tags:
        - Projects
      summary: List available projects
      description: Retrieve a list of accessible projects.
      operationId: listProjects
      parameters:
        - name: limit
          in: query
          schema:
            description: Maximum number of user projects in the page.
            type: integer
        - name: after
          in: query
          schema:
            description: Paginate the response utilizing a responses next_cursor field.
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListProjectsResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
        '429':
          description: Resource exhausted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
        '503':
          description: Service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
        '504':
          description: Request timed out
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
      x-codeSamples:
        - lang: Python
          label: Together AI SDK (Python)
          source: |
            from together import Together

            client = Together()

            for project in client.projects.list():
                print(project.id, project.name, project.slug)
        - lang: TypeScript
          label: Together AI SDK (TypeScript)
          source: |
            import Together from "together-ai";

            const client = new Together();

            for await (const project of client.projects.list()) {
              console.log(project.id, project.name, project.slug);
            }
        - lang: JavaScript
          label: Together AI SDK (JavaScript)
          source: |
            import Together from "together-ai";

            const client = new Together();

            for await (const project of client.projects.list()) {
              console.log(project.id, project.name, project.slug);
            }
components:
  schemas:
    ListProjectsResponse:
      type: object
      description: One page of projects available to the authenticated caller.
      required:
        - object
        - data
        - next_cursor
      properties:
        object:
          const: list
          description: Object type. Always `list`.
        data:
          type: array
          items:
            $ref: '#/components/schemas/Project'
        next_cursor:
          type: string
          description: Opaque cursor for the next page. Empty when this is the last page.
    ErrorData:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              nullable: false
            type:
              type: string
              nullable: false
            param:
              type: string
              nullable: true
              default: null
            code:
              type: string
              nullable: true
              default: null
          required:
            - type
            - message
    Project:
      type: object
      description: A project the authenticated caller can access.
      required:
        - id
        - name
        - slug
        - organization_id
        - organization_name
      properties:
        id:
          type: string
          description: Unique project identifier.
        name:
          type: string
          description: Display name of the project.
        slug:
          type: string
          description: Customer-facing project slug.
        organization_id:
          type: string
          description: ID of the organization that owns the project.
        organization_name:
          type: string
          description: Display name of the organization that owns the project.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.